## knemo-trinity 14.0.11

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8.12 )


#### general package setup

project( knemo )
set( VERSION R14.0.11 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
option( WITH_NETTOOLS       "Enable net-tools backend support"                  OFF )
option( WITH_LIBIW          "Enable build with libiw"                           ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all" ON )
option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )


##### other data

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## knemo-trinity 3.5.13.2

=== debian/changelog ===
knemo-trinity (4:3.5.13.2-0ubuntu13.04.0+0) raring; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 19:50:19 +0200

knemo-trinity (0.4.8-3) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

knemo-trinity (0.4.8-2) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 06 March 2009 01:35:00 -0600

knemo-trinity (0.4.8-1) intrepid; urgency=low

  * Added -trinity prefix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 02 Dec 2008 09:37:00 -0600

knemo (0.4.8-1) unstable; urgency=low

  * New upstream release
    - fixed high CPU load when the default gateway is missing (sysbackend)
    - spawns many processes even when disabled (Closes: #411013)
    - CPU usage way too high (Closes: #411146)
    - New upstream 0.4.8 (Closes: #432835)

 -- Mark Purcell <msp@debian.org>  Thu, 19 Jul 2007 21:48:50 +0100

knemo (0.4.6-2) unstable; urgency=high

  [ Mark Purcell ]
  * Urgency high as this fixes multiple RC bugs
  * fd-leakage patch from Matthias Dellweg
    - (Closes:  Bug#409707: knemo: fd-leakage in sys backend)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue,  6 Feb 2007 11:05:03 +0000

knemo (0.4.6-1) unstable; urgency=low

  * new upstream release

  [ Achim Bohnet ]
  * Add libiw-dev to build-deps. Now used by sys backend.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun,  8 Oct 2006 23:31:03 +0200

knemo (0.4.5-1) unstable; urgency=low

  [ Mark Purcell ]
  * New upstream release
  * Remove 12_kdesvn572745.diff as applied upstream
  * Remove 13_fix_essid_regexp_for_not_quoted_strings.diff as applied
    upstream

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Mon, 28 Aug 2006 21:31:40 +0100

knemo (0.4.4-2) unstable; urgency=low

  [ Achim Bohnet ]
  * control: remove Depends: kdelibs-bin.  kdelibs-bin was merged into
    kdelibs4c2a (4:3.5.3-1). kdelibs4c2a is added via ${shlibs:Depends}.
    Thx Hobbsee for reminding me (again and again :).

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 22 Aug 2006 17:11:42 +0200

knemo (0.4.4-1) unstable; urgency=low

  * new upstream release

  [ Achim Bohnet ]
  * added debian/patches/12_kdesvn572745.diff: Pull from KDE SVN:
    Fixed counting of transmitted data
  * added debian/patches/11_revert_load_on_demand.diff:
    With load on demand, knemo does not start on login.
    So reverting to 0.4.2 behaviour.  This patch
    reverts Dirk Muellers change from 6-Aug-2006
    trunk/extragear/network/knemo/knemod/knemod.desktop #570450:570451
    See also: http://bugs.kde.org/show_bug.cgi?id=132218
  * added debian/patches/13_fix_essid_regexp_for_not_quoted_strings.diff
    Fixes broken ESSID extraction from iwconfig output for the case that
    the ESSID value is not quoted.
  * debian/copyright: update list of translators

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 15 Aug 2006 00:29:24 +0200

knemo (0.4.3-1) unstable; urgency=low

  [ Mark Purcell ]
  * New upstream release

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun,  6 Aug 2006 22:40:42 +0100

knemo (0.4.2-1) unstable; urgency=low

  [ Achim Bohnet ]
  * New upstream release:
    - fixed crash when opening status dialog or tooltips
  * check copyrights and update debian/copyright

  [ Debian KDE Extras Team ]
  * random crashes (Closes: #374391)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Fri, 30 Jun 2006 23:13:53 +0100

knemo (0.4.1-1) unstable; urgency=low

  [ Mark Purcell ]
  * New upstream release
    - Fixes: encoding error in desktop file (Closes: #343290)
    - Fixes: link quality of a wireless interface is not shown (Closes: #350393)
  * knemo - lists mailing list as uploader in changelog (Closes: #340845)
     - No consensus reached on debian-devel
     - Report 200 days old
     - Other packages have closed their uploader 'bugs'

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 13 Jun 2006 13:07:37 +0100

knemo (0.4.0-2) unstable; urgency=low

  [Achim Bohnet]
  * Remove unsermake from build-dep. Closes #366932: knemo - FTBFS: Build
    depends against unavailable package: unsermake

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Thu, 11 May 2006 22:46:08 +0100

knemo (0.4.0-1) unstable; urgency=low

  * New upstream release
    - Fixes: FTBFS with G++ 4.1: extra qualification (Closes: #357359)
    - Fixes: Description improvement (Closes: #341298)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun,  2 Apr 2006 14:54:32 +0100

knemo (0.3.1-5) unstable; urgency=low

  [ Achim Bohnet ]
  * short description: replace "KDEs systray" with "KDE's systray"
    (Closes: 341298)
  * patches/11_kdesvn_505129_add_kcm_desktop_keywords.diff:  added
    keywords to knemo's kcontrol desktop file.  Knemo configuration
    can now be found via 'Search:' (suggested by gbrinkmann on kde-apps)
    This also fixes, well removes, the non UTF-8 encoding in comment[de],
    about update-desktop-database complained.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Thu,  1 Dec 2005 00:52:03 +0100

knemo (0.3.1-4) unstable; urgency=low

  +++ Changes by Achim Bohnet:

  * Initial release (Closes: #259245)
  * Installed kcm_knemo.desktop in /usr/share/application/kde not the
    old /usr/share/applnk dir.
  * build-dep: add autotools-dev so recent config.guess config.sub are
    used (Thx Michael Biebl)
  * Use bugs.kde.org, not Percys email as addressee for bugs (stolen from
    KDE SVN commit 461692)
  * debian/copyright: update FSF address
  
 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Mon, 14 Nov 2005 21:05:38 +0100

knemo (0.3.1-3) unstable; urgency=low



=== debian/control ===
Source: knemo-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>> 4.1), quilt, cdbs, kdelibs4-trinity-dev, net-tools, wireless-tools, libiw-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: knemo-trinity
Architecture: any
Depends: kicker-trinity, net-tools, ${shlibs:Depends}
Replaces: knemo-kde3 (<< 4:3.5.13)
Breaks: knemo-kde3 (<< 4:3.5.13)
Recommends: kcontrol-trinity, wireless-tools
Description: network interfaces monitor for the Trinity systray
 KNemo displays an icon in the systray for every network interface.
 Tooltips and an info dialog provide further information about the
 interface.  Passive popups inform about interface changes.
 A traffic plotter is also integrated.
 .
 knemo polls the network interface status every second using the
 ifconfig, route and iwconfig tools. 
 .
  Homepage: http://extragear.kde.org/apps/knemo/

## knemo-trinity 14.0.4

=== debian/changelog ===
knemo-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:26:04 +0200

## knemo-trinity 14.0.5

=== debian/changelog ===
knemo-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:43:45 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include debian/cdbs/kde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_INSTALL_DOCS_knemo = -XNEWS

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/tde

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

## knemo-trinity 14.0.6

=== debian/changelog ===
knemo-trinity (4:14.0.6-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:42:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: knemo-trinity
-Section: kde
+Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>
-Build-Depends: debhelper (>> 4.1), quilt, cdbs, kdelibs4-trinity-dev, net-tools, wireless-tools, libiw-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, net-tools, wireless-tools, libiw-dev, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 
 Package: knemo-trinity
 Architecture: any
 Depends: kicker-trinity, net-tools, ${shlibs:Depends}
-Replaces: knemo-kde3 (<< 4:3.5.13)
-Breaks: knemo-kde3 (<< 4:3.5.13)
+Replaces: knemo-kde3 (<< 4:14.0.0~), knemo-trinity (<< 4:14.0.0~)
+Breaks: knemo-kde3 (<< 4:14.0.0~), knemo-trinity (<< 4:14.0.0~)
 Recommends: kcontrol-trinity, wireless-tools
 Description: network interfaces monitor for the Trinity systray
  KNemo displays an icon in the systray for every network interface.

## knemo-trinity 14.0.8

=== debian/changelog ===
knemo-trinity (4:14.0.8-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, net-tools, wireless-tools, libiw-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev, net-tools, wireless-tools, libiw-dev
 Standards-Version: 3.8.4
 
 Package: knemo-trinity

## knemo-trinity 14.0.9

=== debian/changelog ===
knemo-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:08:16 +0200

## knemo-trinity 14.0.10

=== debian/changelog ===
knemo-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: knemo-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev, net-tools, wireless-tools, libiw-dev
 Standards-Version: 3.8.4

## knemo-trinity 14.0.11

=== debian/changelog ===
knemo-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#knemo

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 20 Oct 2021 21:42:21 +0200

## knemo-trinity 14.0.12

=== debian/changelog ===
knemo-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#knemo

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:46 +0100

## knemo-trinity 14.0.13

=== debian/changelog ===
knemo-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#knemo

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 01 Oct 2022 14:13:41 +0200

## knemo-trinity 14.1.0

=== debian/changelog ===
knemo-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#knemo

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 09 Apr 2023 21:15:15 +0200

## knemo-trinity 14.1.1

=== debian/changelog ===
knemo-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#knemo

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 08 Aug 2023 10:50:35 +0200

=== debian/control ===
Source: knemo-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libiw-dev
Standards-Version: 3.8.4

Package: knemo-trinity
Architecture: any
Depends: kicker-trinity, ${shlibs:Depends}
Replaces: knemo-trinity (<< 4:14.0.0~)
Breaks: knemo-trinity (<< 4:14.0.0~)
Recommends: kcontrol-trinity
Description: network interfaces monitor for the Trinity systray
 KNemo displays an icon in the systray for every network interface.
 Tooltips and an info dialog provide further information about the
 interface.  Passive popups inform about interface changes.
 A traffic plotter is also integrated.
 .
 knemo polls the network interface status every second from sysfs,
 procfs and using libiw.

## knemo-trinity 14.1.2

=== debian/changelog ===
knemo-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#knemo

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 26 Mar 2024 23:10:28 +0100

## knemo-trinity 14.1.3

=== debian/changelog ===
knemo-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#knemo

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 18 Sep 2024 23:11:49 +0200

## knemo-trinity 14.1.4

=== debian/changelog ===
knemo-trinity (4:14.1.4-0debian11.0.0+0) bullseye; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#knemo

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libiw-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libiw-dev
 Standards-Version: 3.8.4
 
 Package: knemo-trinity

## knemo-trinity 14.1.5~pre3

=== debian/changelog ===
knemo-trinity (4:14.1.5~pre3-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 46ded28863e9e1c759cdcf0d31a12a632e115cb7
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#knemo

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## knemo-trinity 14.1.5

=== src/knemod/backends/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/src/common
  ${CMAKE_SOURCE_DIR}/src/knemod
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


set( _SRC_ backendbase.cpp
           sysbackend.cpp
)
if( WITH_NETTOOLS )
    list( APPEND _SRC_ nettoolsbackend.cpp )
endif()


##### knemo_backends (static)

tde_add_library( knemo_backends STATIC_PIC AUTOMOC

  SOURCES
        ${_SRC_}
  LINK
     tdeio-shared
     ${IW_LIBRARIES}
)

=== src/knemod/pics/CMakeLists.txt ===
tde_install_icons( )

=== debian/changelog ===
knemo-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#knemo

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## knemo-trinity 14.1.6~pre0

=== debian/changelog ===
knemo-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 46ded28863e9e1c759cdcf0d31a12a632e115cb7
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#knemo

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## knemo-trinity 14.1.6~pre1

=== debian/changelog ===
knemo-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for dd7adaf31ab69e688c57a75f2d466c09d6b16792
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#knemo

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:04:12 +0100

## knemo-trinity 14.2.0~pre36

=== src/CMakeLists.txt ===
add_subdirectory( kcm    )
add_subdirectory( knemod )

=== src/kcm/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/src/knemod/backends
  ${CMAKE_SOURCE_DIR}/src/common
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kcm_knemo (kpart)

tde_add_kpart( kcm_knemo AUTOMOC

  SOURCES
        configdlg.ui
        configdialog.cpp
        
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
  SOURCE kcm_knemo.desktop
  PO_DIR knemo-desktops
)

=== src/knemod/CMakeLists.txt ===
add_subdirectory( pics     )
add_subdirectory( backends )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/src/knemod/backends
  ${CMAKE_SOURCE_DIR}/src/common
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kded_knemod (kpart)

tde_add_kpart( kded_knemod AUTOMOC

  SOURCES
        interfacestatusdlg.ui
        interfacestatisticsdlg.ui
        knemodaemon.skel
        knemodaemon.cpp
        interface.cpp
        interfaceicon.cpp
        interfacetray.cpp
        interfacemonitor.cpp
        interfacestatusdialog.cpp
        interfacetooltip.cpp
        signalplotter.cpp
        interfacestatistics.cpp
        interfacestatisticsdialog.cpp
  LINK
     tdecore-shared
     tdeio-shared
     tdeui-shared
     tdeutils-shared
     tdeinit_kded
     knemo_backends-static

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE eventsrc
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

tde_create_translated_desktop(
    SOURCE knemod.desktop
    PO_DIR knemo-desktops
    DESTINATION ${SERVICES_INSTALL_DIR}/kded
)

=== debian/changelog ===
knemo-trinity (4:14.2.0~pre36-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 8e5d71ff28960753d48ed7882edb95cf8343b4f6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#knemo

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## knemo-trinity 14.2.0~pre37

=== debian/changelog ===
knemo-trinity (4:14.2.0~pre37-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 8b4508db575c8c74350f094a4828057f75e246da
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#knemo

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:06:16 +0100
